<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
@author 		rodrigo.hernandez

@version 		2.0

@description	Pantalla que establece los datos de entrada para un solicitante. Tomado de tramite/radicacion/datosSolicitante.xhtml

@cu 			CU-SA-AC-121

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" 
        id="informacionSolicitanteForm">

    <p:messages showDetail="false" globalOnly="false" id="numDocumentoMsg" />

    <p:panel header="Datos del solicitante">

        <h:panelGrid id="mainContainer">
            <h:panelGrid columns="6" id="containerSolicitante">
                <!-- Tipo de Empresa -->
                <h:panelGrid columns="2">
                    <h:outputLabel value="Tipo de empresa:" for="tipoEmpresa"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <h:selectOneMenu id="tipoEmpresa" label="Tipo de empresa"
                                     value="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.tipoPersona}"
                                     required="true">
                        <f:selectItems value="#{general.personaTipoPersonaV}" />
                        <p:ajax onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" update="containerSolicitante" />
                    </h:selectOneMenu>
                    <p:message for="tipoEmpresa" display="icon" id="tipoEmpresaMsg" />
                </h:panelGrid>


                <!-- Tipo de Documento -->
                <h:panelGrid columns="2"
                             rendered="#{!diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica}">
                    <h:outputLabel value="Tipo de documento:" for="tipoDocumento"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2"
                             rendered="#{!diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica}">
                    <h:selectOneMenu id="tipoDocumento" label="Tipo de documento"
                                     required="true"
                                     value="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.tipoIdentificacion}">
                        <f:selectItems value="#{general.personaTipoIdentificacionNoNitCV}" />
                    </h:selectOneMenu>
                    <p:message for="tipoDocumento" display="icon" id="tipoDocumentoMsg" />
                </h:panelGrid>

                <!-- Número de documento -->
                <h:panelGrid columns="2">
                    <h:outputLabel value="Número de documento:" for="numDocumento"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="6">
                    <h:inputText
                        value="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.numeroIdentificacion}"
                        id="numDocumento" label="Número de documento" maxlength="50"
                        required="true">
                    </h:inputText>

                    <!-- Botón Buscar -->
                    <p:commandButton icon="ui-icon-search" title="Buscar :D"
                                     action="#{diligenciamientoSolicitudAvaluo.buscarSolicitante}"
                                     onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                     update="containerSolicitante, :informacionSolicitanteForm:numDocumentoMsg, digitoVerificacion"
                                     process="@this, numDocumento">

                        <f:setPropertyActionListener
                            target="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}"
                            value="true" />
                    </p:commandButton>
                </h:panelGrid>

                <!-- Dígito de Verificación -->
                <h:panelGrid columns="2"
                             rendered="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}">
                    <h:outputLabel value="DV:" for="digitoVerificacion"
                                   styleClass="outputLabelStyle"
                                   rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2"
                             rendered="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and  diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}">
                    <h:inputText id="digitoVerificacion" label="Digito de verificación"
                                 value="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.digitoVerificacion}"
                                 maxlength="2" size="2" required="true"
                                 rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <p:message for="digitoVerificacion" display="icon"
                               id="digitoVerificacionMsg" />
                </h:panelGrid>

                <!-- Razón Social -->
                <h:panelGrid columns="2"
                             rendered="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and  diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}">
                    <h:outputLabel value="Razón social:" for="razonSocial"
                                   styleClass="outputLabelStyle"
                                   rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>

                <h:panelGrid columns="2"
                             rendered="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and  diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}">
                    <h:inputText id="razonSocial" label="Razón social"
                                 value="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.razonSocial}"
                                 maxlength="100" required="true" size="30"
                                 rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <p:message for="razonSocial" display="icon" id="razonSocialMsg" />
                </h:panelGrid>

                <!--Sigla -->
                <h:outputLabel value="Sigla:" for="sigla"
                               styleClass="outputLabelStyle"
                               rendered="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and  diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                <h:panelGrid columns="2"
                             rendered="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and  diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}">
                    <h:inputText id="sigla" label="Sigla" maxlength="50"
                                 value="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.sigla}"
                                 rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <p:message for="sigla" display="icon" id="siglaMsg" />
                </h:panelGrid>

                <!-- Primer nombre -->
                <h:panelGrid columns="2"
                             rendered="#{!diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and  diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}">
                    <h:outputLabel value="Primer nombre:" for="primerNombre"
                                   styleClass="outputLabelStyle"
                                   rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2"
                             rendered="#{!diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and  diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}">
                    <h:inputText id="primerNombre" label="Primer nombre"
                                 value="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.primerNombre}"
                                 maxlength="100" required="true"
                                 rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <p:message for="primerNombre" display="icon" id="primerNombreMsg" />
                </h:panelGrid>

                <!-- Segundo nombre -->
                <h:outputLabel value="Segundo nombre:" for="segundoNombre"
                               styleClass="outputLabelStyle"
                               rendered="#{!diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and  diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                <h:panelGrid columns="2"
                             rendered="#{!diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica}">
                    <h:inputText id="segundoNombre" label="Segundo nombre"
                                 value="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.segundoNombre}"
                                 maxlength="100"
                                 rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <p:message for="segundoNombre" display="icon" id="segundoNombreMsg" />
                </h:panelGrid>

                <!-- Primer Apellido -->
                <h:panelGrid columns="2"
                             rendered="#{!diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}">
                    <h:outputLabel value="Primer apellido:" for="primerApellido"
                                   styleClass="outputLabelStyle"
                                   rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGrid columns="2"
                             rendered="#{!diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and  diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}">
                    <h:inputText id="primerApellido" label="Primer apellido"
                                 value="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.primerApellido}"
                                 maxlength="100" required="true"
                                 rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <p:message for="primerApellido" display="icon"
                               id="primerApellidoMsg" />
                </h:panelGrid>

                <!-- Segundo Apellido -->
                <h:outputLabel value="Segundo apellido:" for="segundoApellido"
                               styleClass="outputLabelStyle"
                               rendered="#{!diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and  diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                <h:panelGrid columns="2"
                             rendered="#{!diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica  and diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}">
                    <h:inputText id="segundoApellido" label="Segundo apellido"
                                 value="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.segundoApellido}"
                                 maxlength="100"
                                 rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />
                    <p:message for="segundoApellido" display="icon"
                               id="segundoApellidoMsg" />
                </h:panelGrid>

            </h:panelGrid>
        </h:panelGrid>
    </p:panel>


    <p:spacer
        rendered="#{diligenciamientoSolicitudAvaluo.solicitanteSeleccionado.juridica and diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}" />



    <p:outputPanel layout="block" style="text-align:left">

        <p:spacer height="13" />
        <p:commandButton value="Guardar y adjuntar"
                         icon="ui-icon ui-icon-disk" id="botonGuardar"
                         action="#{diligenciamientoSolicitudAvaluo.guardarSolicitante}"
                         onstart="statusDialog2.show();"
                         rendered="#{diligenciamientoSolicitudAvaluo.banderaBusquedaSolicitanteRealizada}"
                         oncomplete="statusDialog2.hide();">
        </p:commandButton>
    </p:outputPanel>

</h:form>